# Class FileSystemLoopException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.nio.file.FileSystemException
java.nio.file.FileSystemLoopException

All Implemented Interfaces:
  `Serializable`

public class FileSystemLoopException extends FileSystemException
Checked exception thrown when a file system loop, or cycle, is encountered.

Since:
  1.7
See Also:
  - `Files.walkFileTree(Path, Set, int, FileVisitor)`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FileSystemLoopException(String file)`
Constructs an instance of this class.

## Method Summary

### Methods declared in class FileSystemException

`getFile, getMessage, getOtherFile, getReason`

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FileSystemLoopException

public FileSystemLoopException(String file)
Constructs an instance of this class.

Parameters:
  `file` - a string identifying the file causing the cycle or `null` if not known